---
search:
  tags:
    - pipeline
    - GET
seo:
  description: >-
    Get agent type. Reference for the GET
    /workspaces/{organizationId}/agent-types/{id} endpoint in the Pile API.
sidebar:
  label: Get agent type
  badge: GET
title: Get agent type
type: openapi-operation
---
`GET /workspaces/{organizationId}/agent-types/{id}`

**Responses**

- `200` — Agent type
- `404` — Agent type not found

Response example, 200:

```json
{
  "id": "string",
  "organizationId": "string",
  "slug": "string",
  "name": "string",
  "providerAgentId": "string",
  "jobSpec": "string",
  "prompt": "string",
  "model": "string",
  "tools": "string",
  "kind": "string",
  "endpointUrl": "string",
  "hasEndpointSecret": true,
  "toolScope": "string",
  "permissionsTier": "string",
  "enabled": 0,
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
```
